{
  "src_folders" : ["tests/functional"],
  "output_folder" : false,
  "custom_commands_path" : "custom_commands",
  "custom_assertions_path" : "",
  "page_objects_path" : "",
  "globals_path" : "",

  "test_runner": {
    "type": "mocha",
    "options": {

    }
  },

  "selenium" : {
    "start_process" : false,
    "server_path" : "",
    "log_path" : "",
    "host" : "127.0.0.1",
    "port" : 4444,
    "cli_args" : {
      "webdriver.chrome.driver" : "",
      "webdriver.ie.driver" : ""
    }
  },

  "test_settings" : {
    "default" : {
      "selenium_port"  : 80,
      "selenium_host"  : "ondemand.saucelabs.com",
      "silent": true,
      "screenshots" : {
        "enabled" : false,
        "path" : ""
      },
      "username" : "${SAUCE_USERNAME}",
      "access_key" : "${SAUCE_ACCESS_KEY}",

      "desiredCapabilities": {
        "javascriptEnabled": true,
        "acceptSslCerts": true,
        "platform": "Windows 10",
        "browserName": "chrome",
        "version": "54.0",
        "screenResolution": "1280x1024"
      }
    },

    "chrome": {
      "desiredCapabilities": {
        "platform": "Windows 10",
        "browserName": "chrome",
        "version": "54.0",
        "screenResolution": "1280x1024"
      }
    },

    "firefox" : {
      "desiredCapabilities": {
        "platform": "Windows 10",
        "browserName": "firefox",
        "version": "49.0",
        "screenResolution": "1280x1024"
      }
    },

    "opera" : {
      "desiredCapabilities": {
        "platform": "Windows 10",
        "browserName": "opera",
        "version": "12.15",
        "screenResolution": "1280x1024"
      }
    },

    "edge" : {
      "desiredCapabilities": {
        "platform": "Windows 10",
        "browserName": "edge",
        "version": "14.14393",
        "screenResolution": "1280x1024"
      }
    },

    "safari" : {
      "desiredCapabilities": {
        "platform": "OS X 10.110",
        "browserName": "safari",
        "version": "10.0",
        "screenResolution": "1280x1024"
      }
    }

  }
}
